# Icon Pack Launcher compatibility 

## Supported Launchers

This is a list with launchers that support icon packs.<br>
Some launchers have more icon pack options than others, Arcticons Material You and Day & Night use newer Android features that are not supported by every launcher.

The list is work in progress, feel free to let me know if I missed something or if it isn't correct [here](https://github.com/Arcticons-Team/Arcticons/issues/1874).

🟩 = **Supported**<br>
🟥 = **Unsupported**<br>
⚙️ = **Reapply** You need to reapply the icon pack in the launchers settings<br>
🕜 = **Delayed** You will need to wait a bit<br>
⚠️ = **Old launcher** Can't test because it's made for an older Android version, it's paywalled or something else<br>
Empty = **Untested**<br>

| App 	| Icon Pack support 	| Material You 	| XML support (D&N) 	| Theme switching (D&N) 	| Theme switching (You) 	|
|---	|---	|---	|---	|---	|---	|
| [Hyperion](https://play.google.com/store/apps/details?id=projekt.launcher) 	| 🟩 	| 🟩 	| 🟩 	| 🟩 	| 🟩 	|
| [Nova](https://play.google.com/store/apps/details?id=com.teslacoilsw.launcher) 	| 🟩 	| 🟩 	| 🟩 	| 🟩 	| 🟩 	|
| [Smart](https://play.google.com/store/apps/details?id=ginlemon.flowerfree) 	| 🟩 	| 🟩 	| 🟩 	| 🟩 	| 🟩 	|
| [Stario](https://play.google.com/store/apps/details?id=com.stario.launcher) 	| 🟩 	| 🟩 	| 🟩 	| 🟩 	| 🟩 	|
| [KISS](https://f-droid.org/en/packages/fr.neamar.kiss/) 	| 🟩 	| 🟩 	| 🟩 	| 🟩 	| 🟩 	|
| [TinyBit](https://f-droid.org/en/packages/rocks.tbog.tblauncher/) 	| 🟩 	| 🟩 	| 🟩 	| 🟩 	| 🟩 	|
| [Monocles](https://android.izzysoft.de/repo/apk/de.monocles.launcher) 	| 🟩 	| 🟩 	| 🟩 	| 🟩 	| 🟩 	|
| [Square](https://play.google.com/store/apps/details?id=com.ss.squarehome2) 	| 🟩 	| 🟩 	| 🟩 	| ⚙️ 	| 🟩 	|
| [Lawnchair (alpha)](https://github.com/LawnchairLauncher/lawnchair/releases) 	| 🟩 	| 🟩 	| 🟩 	| ⚙️ 	| ⚙️ 	|
| [Neo](https://android.izzysoft.de/repo/apk/com.saggitt.omega) 	| 🟩 	| 🟩 	| 🟩 	| ⚙️ 	| ⚙️ 	|
| [Lynx](https://play.google.com/store/apps/details?id=org.n277.lynxlauncher) 	| 🟩 	| 🟩 	| 🟩 	| ⚙️ 	| ⚙️ 	|
| [Pear](https://play.google.com/store/apps/details?id=com.pearlauncher.pearlauncher) 	| 🟩 	| 🟩 	| 🟩 	| ⚙️ 	| ⚙️ 	|
| [Kvaesitso](https://android.izzysoft.de/repo/apk/de.mm20.launcher2.release) 	| 🟩 	| 🟩 	| 🟩 	| ⚙️ 	| ⚙️ 	|
| [Newer](https://play.google.com/store/apps/details?id=com.nu.launcher) 	| 🟩 	| 🟩 	| 🟩 	| ⚙️ 	| ⚙️ 	|
| [Total](https://play.google.com/store/apps/details?id=com.ss.launcher2) 	| 🟩 	| 🟩 	| 🟩 	| ⚙️ 	| ⚙️ 	|
| [Discreet](https://f-droid.org/de/packages/com.vincent_falzon.discreetlauncher/) 	| 🟩 	| 🟩 	| 🟩 	| ⚙️ 	| ⚙️ 	|
| [XOS](https://play.google.com/store/apps/details?id=com.transsion.XOSLauncher) 	| 🟩 	| 🟩 	| 🟩 	| ⚙️ 	| ⚙️ 	|
| [Hios](https://play.google.com/store/apps/details?id=com.transsion.hilauncher) 	| 🟩 	| 🟩 	| 🟩 	| ⚙️ 	| ⚙️ 	|
| [Wide](https://play.google.com/store/apps/details?id=com.shouter.widelauncher) 	| 🟩 	| 🟩 	| 🟩 	| ⚙️ 	| ⚙️ 	|
| [Mini Desktop](https://play.google.com/store/apps/details?id=com.atomicadd.tinylauncher) 	| 🟩 	| 🟩 	| 🟩 	| ⚙️ 	| ⚙️ 	|
| [Focus](https://apt.izzysoft.de/fdroid/index/apk/dev.mslalith.focuslauncher) 	| 🟩 	| 🟩 	| 🟩 	| ⚙️ 	| ⚙️ 	|
| [Pie](https://f-droid.org/en/packages/de.markusfisch.android.pielauncher/) 	| 🟩 	| 🟩 	| 🟩 	| ⚙️ 	| ⚙️ 	|
| [Nothing](https://play.google.com/store/apps/details?id=com.nothing.launcher) 	| 🟩 	| 🟩 	| 🟩 	| ⚙️ 	| ⚙️ 	|
| [Niagara](https://play.google.com/store/apps/details?id=bitpit.launcher) 	| 🟩 	| 🟩 	| 🟩 	| 🟥 	| 🟥 	|
| [Poco](https://play.google.com/store/apps/details?id=com.mi.android.globallauncher) 	| 🟩 	|  	| 🟩 	|  	|  	|
| [Go Ex](https://play.google.com/store/apps/details?id=com.gau.go.launcherex) 	| 🟩 	|  	| 🟩 	|  	|  	|
| [Action](https://play.google.com/store/apps/details?id=com.actionlauncher.playstore) 	| 🟩 	| 🟩 	| 🟥 	| 🟥 	| ⚙️ 	|
| [Microsoft](https://play.google.com/store/apps/details?id=com.microsoft.launcher) 	| 🟩 	| 🟥 	| 🟥 	| 🟥 	| 🟥 	|
| [Before](https://play.google.com/store/apps/details?id=com.beforesoft.launcher) 	| 🟩 	| 🟥 	| 🟥 	| 🟥 	| 🟥 	|
| [Lucid](https://play.google.com/store/apps/details?id=com.powerpoint45.launcher) 	| 🟩 	| 🟥 	| 🟥 	| 🟥 	| 🟥 	|
| [Lens](https://play.google.com/store/apps/details?id=nickrout.lenslauncher) 	| 🟩 	| 🟥 	| 🟥 	| 🟥 	| 🟥 	|
| [X](https://play.google.com/store/apps/details?id=com.i.xperia.launcher) 	|  	|  	|  	|  	|  	|
| [Zero](https://play.google.com/store/apps/details?id=com.Zerolauncher.themes.wallpapers.ioslauncher) 	|  	|  	|  	|  	|  	|
| [+Home](https://play.google.com/store/apps/details?id=jp.co.a_tm.android.launcher) 	|  	|  	|  	|  	|  	|
| [Vivid](https://play.google.com/store/apps/details?id=com.telenav.launcher) 	|  	|  	|  	|  	|  	|
| [V](https://play.google.com/store/apps/details?id=com.victorygroup.launcher) 	|  	|  	|  	|  	|  	|
| [Newlook](https://play.google.com/store/apps/details?id=com.newlook.launcher) 	|  	|  	|  	|  	|  	|
| [Lime](https://play.google.com/store/apps/details?id=app.pinya.lime) 	| 🟩 paywalled	| ⚠️	| ⚠️	| ⚠️	| ⚠️	|
| [AIO](https://play.google.com/store/apps/details?id=ru.execbit.aiolauncher) 	| 🟩 paywalled		| ⚠️	| ⚠️	| ⚠️	| ⚠️	|
| [Arc](https://play.google.com/store/apps/details?id=apptech.arc) 	| 🟩 paywalled		| ⚠️	| ⚠️	| ⚠️	| ⚠️	|
| [Ratio](https://play.google.com/store/apps/details?id=com.bllocosn) 	| 🟩 paywalled			| ⚠️	| ⚠️	| ⚠️	| ⚠️	|
| [Minimalist phone](https://play.google.com/store/apps/details?id=com.qqlabs.minimalistlauncher) 	| ⚠️paywalled		| ⚠️	| ⚠️	| ⚠️	| ⚠️	|
| [Ruthless](https://play.google.com/store/apps/details?id=shubh.ruthless) 	| ⚠️ old	| ⚠️	| ⚠️	| ⚠️	| ⚠️	|
| [Ap15](https://play.google.com/store/apps/details?id=com.aurhe.ap15) | 🟥 	| 🟥 	| 🟥 	| 🟥 	| 🟥 	|
| LineageOS | 🟥 	| 🟥 	| 🟥 	| 🟥 	| 🟥 	|
| GrapheneOS | 🟥 	| 🟥 	| 🟥 	| 🟥 	| 🟥 	|
| K | 🟥 	| 🟥 	| 🟥 	| 🟥 	| 🟥 	|
| [ABC](https://play.google.com/store/apps/details?id=com.artarmin.launcher) | 🟥 	| 🟥 	| 🟥 	| 🟥 	| 🟥 	|
| Simple/[Fossify](https://github.com/FossifyOrg/Launcher) | 🟥 	| 🟥 	| 🟥 	| 🟥 	| 🟥 	|
| [Ubuntu](https://github.com/jspw/Ubuntu-Launcher) 	| 🟥 	| 🟥 	| 🟥 	| 🟥 	| 🟥 	|
| [Ox Shell](https://github.com/oxters168/OxShell/) 	| 🟥 	| 🟥 	| 🟥 	| 🟥 	| 🟥 	|
| [Fast Draw](https://f-droid.org/en/packages/peterfajdiga.fastdraw/) 	| 🟥 	| 🟥 	| 🟥 	| 🟥 	| 🟥 	|

***



## Supported Apps

 | App 	| Icon Pack support 	| Material You 	| XML support (D&N) 	| Theme switching (D&N) 	| Theme switching (You) 	|
 |---	|---	|---	|---	|---	|---	|
 | Pixel Launcher (Stock) | 🟥 | 🟥 | 🟥 | 🟥 | 🟥 |
 | [Pixel Launcher (Mods)](https://github.com/KieronQuinn/PixelLauncherMods) | 🟩 | 🟩 | 🟩 | ➖ | ➖ |
 | [Blue Line Console](https://github.com/nhirokinet/bluelineconsole) | 🟥 | 🟥 | 🟥 | 🟥 | 🟥 |
 | [App-(Launcher/Drawer)](https://github.com/FossifyOrg/App-Launcher) | 🟥 | 🟥 | 🟥 | 🟥 | 🟥 |
 | [Hail](https://github.com/aistra0528/Hail) | 🟩 | 🟥 | 🟥 | 🟥 | 🟥 |
 | [Icon Packer](https://play.google.com/store/apps/details?id=cn.ommiao.iconpacker) | 🟩 | 🟥 | 🟥 | 🟥 | 🟥 |
 | [Icon Request](https://github.com/Kaiserdragon2/IconRequest) | 🟩 | 🟩 | 🟩 | ➖ | ➖ | 
 | [Appbar](https://play.google.com/store/apps/details?id=rk.android.app.appbar) | 🟩 | 🟩 | 🟩 | ➖ | ➖ |
 | [Big Icons - Live Tiles](https://play.google.com/store/apps/details?id=rk.android.app.bigicons) | 🟩 | 🟩 | 🟩 | ➖ | ➖ |
 | [Notification Shortcuts](https://play.google.com/store/apps/details?id=rk.android.app.notificationshortcuts) | 🟩 | 🟩 | 🟩 | ➖ | ➖ |
 | [MIUI-ify](https://play.google.com/store/apps/details?id=com.tombayley.miui) | 🟩 | ➖ | ➖ | ➖ | ➖ |
 | [Tile Shortcuts](https://play.google.com/store/apps/details?id=com.tombayley.tileshortcuts) | 🟩 | ➖ | ➖ | ➖ | ➖ | 
 | [Bottom Quick Settings](https://play.google.com/store/apps/details?id=com.tombayley.bottomquicksettings) | 🟩 | ➖ | ➖ | ➖ | ➖ |
 | [Taskbar](https://github.com/farmerbb/Taskbar) | 🟩 | 🟩 | 🟩 | ➖ | ➖ |
 | [Smart Dock](https://github.com/axel358/smartdock) | 🟩 | ➖ | ➖ | ➖ | ➖ |
 | [MicoPacks](https://github.com/ukanth/micopacks) | 🟩 | 🟩 | 🟩 | ➖ | ➖ |
 | [Folder in Folder](https://play.google.com/store/apps/details?id=com.ss.folderinfolder) | 🟩 | 🟩 | 🟩 | ➖ | ➖ |
 | [Popup Launcher](https://play.google.com/store/apps/details?id=com.ss.popuplauncher) | 🟩 | 🟩 | 🟩 | ➖ | ➖ |
 | [Popup Widget](https://play.google.com/store/apps/details?id=com.ss.popupWidget) | 🟩 | 🟩 | 🟩 | ➖ | ➖ |
 | [Sesame](https://play.google.com/store/apps/details?id=ninja.sesame.app.edge) | 🟩 | ➖ | ➖ | ➖ | ➖ |
 | [Folder Widget](https://play.google.com/store/apps/details?id=pub.hanks.appfolderwidget) | 🟩 | ➖ | ➖ | ➖ | ➖ |
 | [Jina Drawer](https://play.google.com/store/apps/details?id=com.mobeedom.android.jinaFS) | 🟩 | ➖ | ➖ | ➖ | ➖ |
 | [Icon Pack Studio](https://play.google.com/store/apps/details?id=ginlemon.iconpackstudio) | 🟩 | 🟩 | 🟩 | ✖️ | ✖️ |
 | [Shortcut Maker - Pin Shortcuts](https://play.google.com/store/apps/details?id=com.bhanu.pinshortcutsfree) | 🟩 | ✖️ | ✖️ | ✖️ | ✖️ |
 | [X Icon Changer](https://play.google.com/store/apps/details?id=io.hexman.xiconchanger) | 🟩 | ✖️ | ✖️ | ✖️ | ✖️ |

➖ = not yet tested/confirmed
✖️ = further testing not planned | Feedback wanted